'''Essentials for the bot to function'''
import configparser
config = configparser.ConfigParser()
config.read('config.ini')

# Username for the bot
USER     = config['application']['BotUser']

# API key for the bot
KEY      = config['application']['ApiKey']
# Bot's Misskey instance URL
INSTANCE = config['application']['InstanceUrl']

# SQLite Database location
DB_PATH = config['application']['DatabaseLocation']

# Extra stuff for control of the bot

# TODO: move this to db
# Fedi handles in the traditional 'user@domain.tld' style, allows these users
# to use extra admin exclusive commands with the bot'''
ADMINS = config['application']['DefaultAdmins']

NOTIFICATION_POLL_INTERVAL = int(config['application']['NotificationPollInterval'])
NOTIFICATION_BATCH_SIZE    = int(config['application']['NotificationBatchSize'])
